> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mattildapayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment methods for a buyer

> List all the stored payment methods for a specific buyer.

This endpoint requires the `payment-methods.read` or `embed` scope.


## OpenAPI

````yaml /openapi.speakeasy.json GET /buyers/payment-methods
openapi: 3.1.0
info:
  title: mattilda Pay
  description: The mattilda Pay API.
  version: 1.0.0
servers:
  - url: https://api.sandbox.mattildapayments.com
    x-speakeasy-server-id: sandbox
  - url: https://api.mattildapayments.com
    x-speakeasy-server-id: production
security:
  - bearerAuth: []
tags:
  - name: Account updater
    description: Schedule stored cards for an account update.
  - name: Audit logs
    description: Query user activity.
  - name: Buyers
    description: Manage buyers.
  - name: Buyers - Payment methods
    description: Query payment methods for buyers.
  - name: Buyers - Shipping details
    description: Manage shipping details for buyers.
  - name: Card scheme definitions
    description: List definitions for card schemes.
  - name: Checkout sessions
    description: Manage checkout sessions.
  - name: Digital wallets - Sessions
    description: Create sessions for digital wallets like Apple Pay and Google Pay.
  - name: Digital wallets - Setup
    description: Manage digital wallets like Apple Pay and Google Pay.
  - name: Merchant accounts
    description: Manage merchant accounts in an instance.
  - name: Payment links
    description: Manage payment links.
  - name: Payment methods
    description: Manage stored payment methods.
  - name: Payment methods - Network tokens
    description: Manage network tokens for stored payment methods.
  - name: Payment methods - Payment service tokens
    description: Manage payment service tokens for stored payment methods.
  - name: Payment options
    description: Fetch a list of payment options to display at checkout.
  - name: Payment service definitions
    description: Fetch info about the definition of each payment service.
  - name: Payment services
    description: Manage configured payment services.
  - name: Payouts
    description: Payout API.
  - name: Refunds
    description: Manage transaction refunds.
  - name: Reports
    description: Manage one-off and scheduled reports.
  - name: Reports - Executions
    description: Manage executions of reports.
  - name: Transactions
    description: Manage transaction.
paths:
  /buyers/payment-methods:
    get:
      tags:
        - Buyers - Payment methods
      summary: List payment methods for a buyer
      description: List all the stored payment methods for a specific buyer.
      operationId: list_buyer_payment_methods
      parameters:
        - name: buyer_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: The ID of the buyer to query payment methods for.
            examples:
              - fe26475d-ec3e-4884-9553-f7356683f7f9
            title: Buyer Id
          description: The ID of the buyer to query payment methods for.
        - name: buyer_external_identifier
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The external identifier of the buyer to query payment methods for.
            examples:
              - buyer-12345
            title: Buyer External Identifier
          description: The external identifier of the buyer to query payment methods for.
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - const: last_used_at
                type: string
              - const: usage_count
                type: string
              - const: cit_last_used_at
                type: string
              - const: cit_usage_count
                type: string
              - type: 'null'
            description: The field to sort the payment methods by.
            examples:
              - last_used_at
            title: Sort By
          description: The field to sort the payment methods by.
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: The direction to sort the payment methods in.
            examples:
              - desc
            default: desc
            title: Order By
            x-speakeasy-unknown-values: allow
            overlay: 1.0.0
          description: The direction to sort the payment methods in.
        - name: country
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^[A-Z]{2}$
                examples:
                  - DE
                  - GB
                  - US
              - type: 'null'
            description: >-
              The country code to filter payment methods by. This only applies
              to payment methods with a `country` value.
            examples:
              - US
            title: Country
          description: >-
            The country code to filter payment methods by. This only applies to
            payment methods with a `country` value.
        - name: currency
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^[A-Z]{3}$
                examples:
                  - EUR
                  - GBP
                  - MXN
              - type: 'null'
            description: >-
              The currency code to filter payment methods by. This only applies
              to payment methods with a `currency` value.
            examples:
              - MXN
            title: Currency
          description: >-
            The currency code to filter payment methods by. This only applies to
            payment methods with a `currency` value.
        - name: x-gr4vy-merchant-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The ID of the merchant account to use for this request.
            examples:
              - example
            title: X-Gr4Vy-Merchant-Account-Id
          description: The ID of the merchant account to use for this request.
          x-speakeasy-name-override: merchantAccountId
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentMethodSummaries'
        '400':
          description: The request was invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: The request was unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: >-
            The credentials were invalid or the caller did not have permission
            to act on the resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: The resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
        '405':
          description: The request method was not allowed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error405'
        '409':
          description: A duplicate record was found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error409'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '425':
          description: The request was too early.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error425'
        '429':
          description: Too many requests were made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error429'
        '500':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
        '502':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error502'
        '504':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error504'
      x-codeSamples:
        - lang: csharp
          label: C#
          source: >-
            using Gr4vy;

            using Gr4vy.Models.Components;

            using Gr4vy.Models.Requests;


            var sdk = new Gr4vySDK(
                id: "mattilda",
                server: SDKConfig.Server.Sandbox,
                bearerAuthSource: Auth.WithToken(privateKey),
                merchantAccountId: "example"
            );


            ListBuyerPaymentMethodsRequest req = new
            ListBuyerPaymentMethodsRequest() {};


            var res = await sdk.Buyers.PaymentMethods.ListAsync(req);


            // handle response
        - lang: typescript
          label: Typescript
          source: |-
            import { Gr4vy } from "@gr4vy/sdk";

            const gr4vy = new Gr4vy({
                server: "sandbox",
                id: "mattilda",
                bearerAuth: withToken({
                  privateKey: fs.readFileSync("private_key.pem", "utf8"),
                }),
            });

            async function run() {
              const result = await gr4vy.buyers.paymentMethods.list();

              console.log(result);
            }

            run();
        - lang: python
          label: Python
          source: |-
            from gr4vy import Gr4vy, auth
            import os


            with Gr4vy(
                id="mattilda",
                server="production",
                merchant_account_id="example",
                bearer_auth=auth.with_token(open("./private_key.pem").read())
            ) as g_client:

                res = g_client.buyers.payment_methods.list(order_by="desc")

                # Handle response
                print(res)
        - lang: go
          label: Go
          source: "package main\n\nimport(\n\t\"context\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"os\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    privateKey := \"....\"\n\twithToken := gr4vy.WithToken(privateKey, []JWTScope{ReadAll, WriteAll}, 60)\n\n\ts := gr4vy.New(\n\t\tgr4vy.WithID(\"mattilda\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n    res, err := s.Buyers.PaymentMethods.List(ctx, operations.ListBuyerPaymentMethodsRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res != nil {\n        // handle response\n    }\n}"
        - lang: php
          label: PHP
          source: |-
            declare(strict_types=1);

            require 'vendor/autoload.php';

            use Gr4vy;
            use Gr4vy\Auth;

             
            $privateKey = "..."; 

            $sdk = Gr4vy\SDK::builder()
                -\u003esetId('mattilda')
                -\u003esetServer('sandbox')
                -\u003esetSecuritySource(Auth::withToken($privateKey))
                -\u003esetMerchantAccountId('default')
                -\u003ebuild();

            $request = new Gr4vy\ListBuyerPaymentMethodsRequest();

            $response = $sdk->buyers->paymentMethods->list(
                request: $request
            );

            if ($response->paymentMethodSummaries !== null) {
                // handle response
            }
        - lang: java
          label: Java
          source: >-
            package hello.world;


            import java.lang.Exception;

            import com.gr4vy.sdk.BearerSecuritySource;

            import com.gr4vy.sdk.Gr4vy;

            import com.gr4vy.sdk.Gr4vy.AvailableServers;

            import org.openapis.openapi.models.errors.*;

            import
            org.openapis.openapi.models.operations.ListBuyerPaymentMethodsRequest;

            import
            org.openapis.openapi.models.operations.ListBuyerPaymentMethodsResponse;


            public class Application {

                public static void main(String[] args) throws Exception {

                    Gr4vy sdk = Gr4vy.builder()
                            .id("mattilda")
                            .server(AvailableServers.SANDBOX)
                            .merchantAccountId("default")
                            .securitySource(new BearerSecuritySource.Builder(privateKey).build())
                        .build();

                    ListBuyerPaymentMethodsRequest req = ListBuyerPaymentMethodsRequest.builder()
                            .build();

                    ListBuyerPaymentMethodsResponse res = sdk.buyers().paymentMethods().list()
                            .request(req)
                            .call();

                    if (res.paymentMethodSummaries().isPresent()) {
                        // handle response
                    }
                }
            }
components:
  schemas:
    PaymentMethodSummaries:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PaymentMethodSummary'
          type: array
          title: Items
          description: A list of items returned for this request.
      type: object
      required:
        - items
      title: PaymentMethodSummaries
    Error400:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `bad_request`
          default: bad_request
          examples:
            - bad_request
        status:
          type: integer
          title: Status
          description: Always `400`.
          default: 400
          examples:
            - 400
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error400
    Error401:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `unauthorized`
          default: unauthorized
          examples:
            - unauthorized
        status:
          type: integer
          title: Status
          description: Always `401`.
          default: 401
          examples:
            - 401
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: No valid API authentication found
          examples:
            - No valid API authentication found
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error401
    Error403:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `forbidden`
          default: forbidden
          examples:
            - forbidden
        status:
          type: integer
          title: Status
          description: Always `403`.
          default: 403
          examples:
            - 403
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error403
    Error404:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `not_found`
          default: not_found
          examples:
            - not_found
        status:
          type: integer
          title: Status
          description: Always `404`.
          default: 404
          examples:
            - 404
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: The resource could not be found
          examples:
            - The resource could not be found
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error404
    Error405:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `method_not_allowed`
          default: method_not_allowed
          examples:
            - method_not_allowed
        status:
          type: integer
          title: Status
          description: Always `405`.
          default: 405
          examples:
            - 405
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Method Not Allowed
          examples:
            - Method Not Allowed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error405
    Error409:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `duplicate_record`
          default: duplicate_record
          examples:
            - duplicate_record
        status:
          type: integer
          title: Status
          description: Always `409`.
          default: 409
          examples:
            - 409
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error409
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Error425:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `too_early`
          default: too_early
          examples:
            - too_early
        status:
          type: integer
          title: Status
          description: Always `425`.
          default: 425
          examples:
            - 425
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error425
    Error429:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `too_many_requests`
          default: too_many_requests
          examples:
            - too_many_requests
        status:
          type: integer
          title: Status
          description: Always `429`.
          default: 429
          examples:
            - 429
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error429
    Error500:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `server_error`
          default: server_error
          examples:
            - server_error
        status:
          type: integer
          title: Status
          description: Always `500`.
          default: 500
          examples:
            - 500
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error500
    Error502:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `bad_gateway`
          default: bad_gateway
          examples:
            - bad_gateway
        status:
          type: integer
          title: Status
          description: Always `502`.
          default: 502
          examples:
            - 502
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error502
    Error504:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `gateway_timeout`
          default: gateway_timeout
          examples:
            - gateway_timeout
        status:
          type: integer
          title: Status
          default: 504
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error504
    PaymentMethodSummary:
      properties:
        type:
          type: string
          const: payment-method
          title: Type
          description: Always `payment-method`.
          default: payment-method
          examples:
            - payment-method
        approval_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Approval Url
          description: >-
            The optional URL that the buyer needs to be redirected to to further
            authorize their payment.
          examples:
            - https://gr4vy.app/redirect/12345
        country:
          anyOf:
            - type: string
              pattern: ^[A-Z]{2}$
              examples:
                - DE
                - GB
                - US
            - type: 'null'
          title: Country
          description: >-
            The 2-letter ISO code of the country this payment method can be used
            for. If this value is null the payment method may be used in
            multiple countries.
          examples:
            - US
        currency:
          anyOf:
            - type: string
              pattern: ^[A-Z]{3}$
              examples:
                - EUR
                - GBP
                - MXN
            - type: 'null'
          title: Currency
          description: >-
            The ISO-4217 currency code that this payment method can be used for.
            If this value is null the payment method may be used for multiple
            currencies.
          examples:
            - MXN
        details:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodDetailsCard'
            - type: 'null'
          description: Details for credit or debit card payment method.
        expiration_date:
          anyOf:
            - type: string
              maxLength: 5
              minLength: 5
              pattern: ^\d{2}/\d{2}$
            - type: 'null'
          title: Expiration Date
          description: The expiration date for the payment method.
          examples:
            - 12/30
        fingerprint:
          anyOf:
            - type: string
            - type: 'null'
          title: Fingerprint
          description: >-
            The unique hash derived from the payment method identifier (e.g.
            card number).
          examples:
            - a50b85c200ee0795d6fd33a5c66f37a4564f554355c5b46a756aac485dd168a4
        label:
          anyOf:
            - type: string
              maxLength: 320
              minLength: 0
            - type: 'null'
          title: Label
          description: >-
            A label for the card or the account. For a card it is the last 4
            digits of the card.
          examples:
            - '1234'
        last_replaced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Replaced At
          description: >-
            The date and time when this card was last replaced by the account
            updater.
          examples:
            - '2013-07-16T19:23:00.000+00:00'
        method:
          $ref: '#/components/schemas/Method'
          description: The type of this payment method.
          examples:
            - card
        mode:
          anyOf:
            - $ref: '#/components/schemas/Mode'
            - type: 'null'
          description: The mode to use with this payment method.
          examples:
            - card
        scheme:
          anyOf:
            - $ref: '#/components/schemas/CardScheme'
            - type: 'null'
          description: The scheme of the card. Only applies to card payments.
          examples:
            - visa
        id:
          type: string
          format: uuid
          title: Id
          description: The ID for the payment method.
          examples:
            - ef9496d8-53a5-4aad-8ca2-00eb68334389
        merchant_account_id:
          type: string
          title: Merchant Account Id
          description: The ID of the merchant account this buyer belongs to.
          examples:
            - default
        additional_schemes:
          anyOf:
            - items:
                $ref: '#/components/schemas/CardScheme'
              type: array
            - type: 'null'
          title: Additional Schemes
          description: >-
            Additional schemes of the card besides the primary scheme. Only
            applies to card payment methods.
          examples:
            - - eftpos-australia
        cit_last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cit Last Used At
          description: >-
            The timestamp when this payment method was last used in a
            transaction for client initiated transactions.
          examples:
            - '2013-07-16T19:23:00.000+00:00'
        cit_usage_count:
          type: integer
          title: Cit Usage Count
          description: >-
            The number of times this payment method has been used in
            transactions for client initiated transactions.
          examples:
            - 50
        has_replacement:
          type: boolean
          title: Has Replacement
          description: >-
            Whether this card has a pending replacement that hasn't been applied
            yet.
          examples:
            - false
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
          description: >-
            The timestamp when this payment method was last used in a
            transaction.
          examples:
            - '2013-07-16T19:23:00.000+00:00'
        usage_count:
          type: integer
          title: Usage Count
          description: >-
            The number of times this payment method has been used in
            transactions.
          examples:
            - 100
      additionalProperties: false
      type: object
      required:
        - method
        - id
        - merchant_account_id
        - cit_usage_count
        - has_replacement
        - usage_count
      title: PaymentMethodSummary
      description: |-
        Payment Method

        A summary of a payment method.
    ErrorDetail:
      properties:
        location:
          $ref: '#/components/schemas/ErrorLocation'
          description: >-
            The part of the request where the property can be found that caused
            the error.
          examples:
            - body
        pointer:
          anyOf:
            - type: string
              format: json-pointer
            - type: string
          title: Pointer
          description: A JSON pointer for the particular property that caused the error.
          examples:
            - /currency
        message:
          type: string
          title: Message
          description: A human-readdable explanation of the error.
          examples:
            - 'Unknown ISO 4217 currency code: USX'
        type:
          type: string
          title: Type
          description: The type of error that was raised for this property.
          examples:
            - value_error
      additionalProperties: false
      type: object
      required:
        - location
        - pointer
        - message
        - type
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PaymentMethodDetailsCard:
      properties:
        bin:
          anyOf:
            - type: string
              maxLength: 8
              minLength: 6
              pattern: ^\d+$
            - type: 'null'
          title: Bin
        card_type:
          anyOf:
            - $ref: '#/components/schemas/CardType'
            - type: 'null'
        card_issuer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Card Issuer Name
      additionalProperties: false
      type: object
      title: PaymentMethodDetailsCard
    Method:
      type: string
      enum:
        - card
        - oxxo
        - spei
        - pse
        - tapi
        - tapifintechs
      title: Method
      x-speakeasy-unknown-values: allow
      overlay: 1.0.0
    Mode:
      type: string
      enum:
        - card
        - redirect
        - applepay
        - googlepay
        - checkout-session
        - click-to-pay
        - gift-card
      title: Mode
      x-speakeasy-unknown-values: allow
      overlay: 1.0.0
    CardScheme:
      type: string
      enum:
        - accel
        - amex
        - bancontact
        - carte-bancaire
        - cirrus
        - culiance
        - dankort
        - diners-club
        - discover
        - eftpos-australia
        - elo
        - hipercard
        - jcb
        - maestro
        - mastercard
        - mir
        - nyce
        - other
        - pulse
        - rupay
        - star
        - uatp
        - unionpay
        - visa
      title: CardScheme
      x-speakeasy-unknown-values: allow
      overlay: 1.0.0
    ErrorLocation:
      type: string
      enum:
        - query
        - body
        - path
        - header
        - unknown
      title: ErrorLocation
      x-speakeasy-unknown-values: allow
      overlay: 1.0.0
    CardType:
      type: string
      enum:
        - credit
        - debit
        - prepaid
      title: CardType
      x-speakeasy-unknown-values: allow
      overlay: 1.0.0
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````